## jpl
Class JPLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  jpl.JPLException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PrologException

public class JPLException
extends java.lang.RuntimeException

This is the base class for exceptions thrown by JPL's Java-calls-Prolog interface. Such exceptions represent errors and exceptional conditions within the interface code itself; see jpl.PrologException for the way Prolog exceptions are returned to calling Java code.

Copyright (C) 2004 Paul Singleton

Copyright (C) 1998 Fred Dushin

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library Public License for more details.

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Constructor Summary
`JPLException()`
`JPLException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JPLException

    public JPLException()

### JPLException

    public JPLException(java.lang.String s)